diff --git a/Hearts.pro b/Hearts.pro
index 16e5f3c..9a2e125 100644
--- a/Hearts.pro
+++ b/Hearts.pro
@@ -66,12 +66,10 @@ contains(DEFINES, USE_LIBALLEGRO5) {
 unix:!macx: LIBS += -lallegro_audio -lallegro_acodec -lallegro_memfile -lallegro
 }
 
-TARGET = Hearts
+TARGET = hearts
 TEMPLATE = app
 CONFIG += c++11
 
-TRANSLATIONS = languages/translation_en.ts languages/translation_fr.ts languages/translation_ru.ts
-
 SOURCES += main.cpp\
     mainwindow.cpp \
     clabel.cpp \
@@ -106,3 +104,33 @@ FORMS    += mainwindow.ui \
 
 RESOURCES += \
     resources.qrc
+
+unix:!macx {
+  #TRANSLATIONS
+  exists($$[QT_INSTALL_BINS]/lrelease) {
+    TRANSLATIONS = $$system("find languages/ -name 'translation_*.ts'")
+    updateqm.input = TRANSLATIONS
+    updateqm.output = languages/${QMAKE_FILE_BASE}.qm
+    updateqm.commands = $$[QT_INSTALL_BINS]/lrelease ${QMAKE_FILE_IN} -qm languages/${QMAKE_FILE_BASE}.qm
+    updateqm.CONFIG += no_link target_predeps
+    QMAKE_EXTRA_COMPILERS += updateqm
+  }
+
+  isEmpty(PREFIX) {
+    PREFIX = /usr
+  }
+  BINDIR = $$PREFIX/bin
+  DATADIR = $$PREFIX/share
+
+  DEFINES += DATADIR=\\\"$$DATADIR\\\"
+
+  target.path = $${BINDIR}
+
+  desktop.files = ./data/$${TARGET}.desktop
+  desktop.path = $${DATADIR}/applications
+
+  icons.files += ./data/icons/*
+  icons.path = $${DATADIR}/icons/hicolor/
+
+  INSTALLS += target desktop icons
+}
